Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine
Class CSSEngine.StyleDeclarationUpdateHandler

    java.lang.Object
      org.apache.batik.css.engine.CSSEngine.DocumentAdapter
          org.apache.batik.css.engine.CSSEngine.StyleDeclarationUpdateHandler

All Implemented Interfaces:
  ShorthandManager.PropertyHandler, org.w3c.css.sac.DocumentHandler

Enclosing class:
  CSSEngine

    protected class CSSEngine.StyleDeclarationUpdateHandler

extends CSSEngine.DocumentAdapter
implements ShorthandManager.PropertyHandler

To parse a style declaration and update a StyleMap.

Field Summary
`StyleMap` | `styleMap`
`boolean[]` | `updatedProperties`

Constructor Summary
`protected` | `CSSEngine.StyleDeclarationUpdateHandler()`

Method Summary
`void` | `property(String name, org.w3c.css.sac.LexicalUnit value, boolean important)` SAC: Implements `DocumentHandler.property(String,LexicalUnit,boolean)`.

Methods inherited from class org.apache.batik.css.engine.CSSEngine.DocumentAdapter
`comment, endDocument, endFontFace, endMedia, endPage, endSelector, ignorableAtRule, importStyle, namespaceDeclaration, startDocument, startFontFace, startMedia, startPage, startSelector`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### styleMap

    public StyleMap styleMap

### updatedProperties

    public boolean[] updatedProperties

Constructor Detail

### CSSEngine.StyleDeclarationUpdateHandler

    protected CSSEngine.StyleDeclarationUpdateHandler()

Method Detail

### property

    public void property(String name,
                         org.w3c.css.sac.LexicalUnit value,
                         boolean important)
                  throws org.w3c.css.sac.CSSException

  SAC: Implements `DocumentHandler.property(String,LexicalUnit,boolean)`.

  Specified by:
    `property` in interface `ShorthandManager.PropertyHandler`
  Specified by:
    `property` in interface `org.w3c.css.sac.DocumentHandler`
  Overrides:
    `property` in class `CSSEngine.DocumentAdapter`
  Throws:
    `org.w3c.css.sac.CSSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.